{ pkgs, hyprlandSettings, ... }:
let
  settings = import ../../settings.nix { inherit pkgs; };
in
{
  home.file = {
    ".config/nwg-dock-hyprland/drawer.css".text = ''
      window {
        background: ${settings.nord.polarNight.nord0};
        border-radius: 10px;
        border-style: none;
        border-width: 1px;
        border-color: ${settings.nord.aurora.nord15}b0
      }

      #box {
        /* Define attributes of the box surrounding icons here */
        padding: 10px
      }

      active {
        /* This is to underline the button representing the currently active window */
        border-bottom: solid 1px;
        border-color: ${settings.nord.aurora.nord14}1a
      }

      button, image {
        background: none;
        border-style: none;
        box-shadow: none;
        color: ${settings.nord.frost.nord10}
      }

      button {
        padding: 4px;
        margin-left: 4px;
        margin-right: 4px;
        color: #eee;
        font-size: 12px
      }

      button:hover {
        background-color: ${settings.nord.polarNight.nord0}1a;
        border-radius: 2px;
      }

      button:focus {
        box-shadow: none
      }
    '';
  };
}
